
package de.ivu.elect.business.security.control;

import de.ivu.elect.business.security.entity.ElectPricipalContext;

public class StatelessElectCommonPrincipal extends AbstractElectCommonPrincipal {

  private static final long serialVersionUID = 1L;

  private final StatelessElectPricipalContext statelessElectPricipalContext;

  public StatelessElectCommonPrincipal(StatelessElectPricipalContext statelessElectPricipalContext) {
    super();

    this.statelessElectPricipalContext = statelessElectPricipalContext;
  }

  @Override
  public ElectPricipalContext getPrincipalContext() {
    return statelessElectPricipalContext;
  }

  @Override
  protected void handleHttpSession() {
    // nichts zu tun, keine http Session vorhanden
  }
}
